%define major	2
%define libname %mklibname %name %major
%define develname %mklibname %name -d

Name:		flatzebra
Version:	0.1.7
Release:	%mkrel 2
Summary:	A Generic Game Engine library for 2D double-buffering animation
Group:		System/Libraries
License:	GPLv2
URL:		http://perso.b2b2c.ca/~sarrazip/dev/burgerspace.html
Source:		http://perso.b2b2c.ca/~sarrazip/dev/burgerspace.html/dev/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(zlib)

%description
Generic Game Engine library suitable for BurgerSpace, Afternoon Stalker
and Cosmosmash.

%package -n %{libname}
Summary: Main library for %{name}
Group: System/Libraries


%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: flatzebra-devel = %{version}-%{release}


%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install

%make_install
rm -f %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_docdir}/%{name}-%{version}

%files -n %{libname}
%doc AUTHORS COPYING README INSTALL NEWS
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%name-0.1
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc




%changelog
* Sat Apr 02 2022 umeabot <umeabot> 0.1.7-2.mga9
+ Revision: 1840109
- Mageia 9 Mass Rebuild

* Sat Jan 15 2022 mrambo3501 <mrambo3501> 0.1.7-1.mga9
+ Revision: 1768447
- version 0.1.7

* Thu Feb 13 2020 umeabot <umeabot> 0.1.6-10.mga8
+ Revision: 1512313
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.1.6-9.mga7
+ Revision: 1297720
- Mageia 7 Mass Rebuild

* Tue Jun 19 2018 wally <wally> 0.1.6-8.mga7
+ Revision: 1238112
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 11 2016 umeabot <umeabot> 0.1.6-7.mga6
+ Revision: 953945
- Mageia 6 Mass Rebuild

* Tue Sep 01 2015 cjw <cjw> 0.1.6-6.mga6
+ Revision: 871938
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 0.1.6-5.mga5
+ Revision: 745383
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.6-4.mga5
+ Revision: 679228
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.6-3.mga4
+ Revision: 504502
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.1.6-2.mga3
+ Revision: 350493
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 malo <malo> 0.1.6-1.mga3
+ Revision: 275492
- update to version 0.1.6

* Sun Mar 04 2012 malo <malo> 0.1.5-1.mga2
+ Revision: 217647
- fixing install
+ dotmil <dotmil>
- spec file cleanup
- imported package flatzebra


* Wed Dec 01 2010 Funda Wang <fwang@mandriva.org> 0.1.5-2mdv2011.0
+ Revision: 604386
- rebuild for zlib

* Wed Oct 13 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.1.5-1mdv2011.0
+ Revision: 585394
- new version

* Thu Apr 22 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.1.4-1mdv2010.1
+ Revision: 537779
- update to 0.1.4

* Sat Jul 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.3-2mdv2010.0
+ Revision: 399766
- obsoletes previous library package with wrong major

* Sat Jul 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.3-1mdv2010.0
+ Revision: 399695
- new version
- fix major number
- new devel policy

* Fri May 15 2009 Samuel Verschelde <stormi@mandriva.org> 0.1.2-1mdv2010.0
+ Revision: 376146
- fix buildrequires
- fix licence
- fix URL
- new version 0.1.2

  + Michael Scherer <misc@mandriva.org>
    - adapt gentoo patch to be able to properly regenerate autotools script, by
      hardcoding the needed library, and by removing unknows macros TRY_LINK*
    - regenerate autotools script so compilation do not fail with new libtool

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun May 27 2007 Funda Wang <fwang@mandriva.org> 0.1.1-3mdv2008.0
+ Revision: 31751
- build against directfb 1.0
- Import flatzebra



* Thu May 05 2005 Marcel Pol <mpol@mandriva.org> 0.1.1-1mdk
- 0.1.1
- new SONAME
- move pkgconfig file to devel package

* Fri Jun 04 2004 Marcel Pol <mpol@mandrake.org> 0.1.0-5mdk
- rebuild

* Sat Sep 06 2003 Marcel Pol <mpol@gmx.net> 0.1.0-4mdk
- buildrequires
- devel package provides flatzebra-devel

* Wed Jul 16 2003 Marcel Pol <mpol@gmx.net> 0.1.0-3mdk
- rebuild for new rpm provides
- own dir
- formatting

* Thu Jun 12 2003 Marcel Pol <mpol@gmx.net> 0.1.0-2mdk
- buildrequires

* Tue Jun 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-1mdk
- new
